SDL_SetCursor(3)

NAME
SDL_SetCursor - Set the active cursor.

HEADER FILE
Defined in SDL3/SDL_mouse.h

SYNOPSIS
#include "SDL3/SDL.h"

int SDL_SetCursor(SDL_Cursor * cursor);

DESCRIPTION
This function sets the currently active cursor to the specified one. If the cursor is currently visible, the change will be immediately represented on the display. SDL_SetCursor (NULL) can be used to force cursor redraw, if this is desired for any reason.

FUNCTION PARAMETERS

cursor
    a cursor to make active

RETURN VALUE
Returns 0 on success or a negative error code on failure; call SDL_GetError () for more information.

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_GetCursor(3)